import React from "react";
export interface NestedItem {
    [key: string]: any;
    children?: NestedItem[];
}
interface NavigationItem {
    id: string | number;
    label: string;
    parentId: string | number | null;
}
interface NestedSelectProps<T extends NestedItem> {
    items: T[];
    selectedItemId?: string | number | null;
    onSelect: (item: T, path: NavigationItem[]) => void;
    idKey?: string;
    labelKey?: string;
    childrenKey?: string;
    placeholder?: string;
    maxHeight?: string | number;
    className?: string;
    dropdownClassName?: string;
    showSelectAll?: boolean;
    showBreadcrumb?: boolean;
    renderItem?: (item: T, isSelected: boolean, hasChildren: boolean) => React.ReactNode;
    renderTrigger?: (selectedItem: T | null, placeholder: string) => React.ReactNode;
    renderBreadcrumb?: (path: NavigationItem[]) => React.ReactNode;
    renderEmpty?: () => React.ReactNode;
    disableItem?: (item: T) => boolean;
    filterItems?: (items: T[], searchQuery: string) => T[];
    searchPlaceholder?: string;
}
/**
 * An enhanced nested select component for navigating and selecting from hierarchical data.
 */
export declare function NestedSelect<T extends NestedItem>({ items, selectedItemId, onSelect, idKey, labelKey, childrenKey, placeholder, maxHeight, className, dropdownClassName, showSelectAll, showBreadcrumb, renderItem, renderTrigger, renderBreadcrumb, renderEmpty, disableItem, filterItems, searchPlaceholder, }: NestedSelectProps<T>): React.JSX.Element;
export {};
